#
# spec file for package python-distorm3
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-distorm3
Version:        3.3
Release:        13.12
Summary:        Powerful Disassembler Library For x86/AMD64
License:        GPL-3.0
Group:          Development/Libraries/Python
Url:            http://code.google.com/p/distorm/
Source:         distorm3-%{version}.zip
Patch0:         0001-don-t-stutter-static-on-BigEndian.patch
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
No more parsing strings! - diStorm3 is really a decomposer, which means it
takes an instruction and returns a binary structure which describes it rather
than static text. 

%prep
%setup -q -n distorm3
%patch0 -p1

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix} --install-lib=%{python_sitearch}
%fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{python_sitearch}/*

%changelog
* Mon Apr 22 2013 speilicke@suse.com
- Drop custom sitelib/arch hacks, providing --install-lib also helps distorm3
  to find the correct installation location. It's still a workaround though.
- Drop unused pkg-config dependency
* Fri Jan 11 2013 p.drouand@gmail.com
- Update to 3.3 version:
  * The structure of a decoded instruction now contains new fields
    that let one know how the instruction affected the CPU flags (modified,
    tested, undefined). For more info see the last three fields of the
    DInst structure inside DecomposeInterface.
  * Compacted the DB of instructions much more, with another level of
    shared data among similar instructions...
  * The Python bindings now support the control flow features that
    diStorm3 itself support, thanks to Vext01.
- Remove duplicate files with fdupes
* Fri Jan 11 2013 p.drouand@gmail.com
- Update to 3.2 version:
  * Fixed many instructions, either operand accuracy problems or typos
    in mnemonics.
  * Fixed a few bugs introduced in July 2011.
  * Added new instructions such as: INVPCID, TZCNT, RDxSBASE, WRxSBASE,
    CVTPS2PH, CVTPH2PS and more. Added a new compiler directive DISTORM_LIGHT
    to compile only distorm_decompose (no text formatting) to make diStorm
    smaller in size (should save around 20kb), thanks to Marius Negrutiu of BullGuard.
  * Fixed the Java wrapper to support latest version.
* Thu Jan  3 2013 toddrme2178@gmail.com
- Fix builds for SLES 11
* Fri Jul 27 2012 dvaleev@suse.com
- don't stutter static on BigEndian
* Mon Feb 27 2012 saschpe@suse.de
- Package copying
- Platform-dependent Python packages belong into %%python_sitearch,
  only noarch packages may go nito %%python_sitelib. Seems to be an
  upstream issue
* Mon Feb  6 2012 Greg.Freemyer@gmail.com
- initial package
  distorm is a powerful disassembler library for x86/AMD64.
  It is used by volatility for memory (RAM) forensics.
